/*
==========================================================================================

	File:		common.r

	Contains:	Resources common to all TADS components.

	Copyright:	 1998 by Christopher Nebel, all rights reserved.

	Change History (most recent first):
	
		<4>		 4/11/99	Neb		Change version strings for 2.3.0.
		<3>		 9/20/98	Neb		Change version strings for 2.2.5.
		<2>		 8/29/98	Neb		Twiddle version strings.
		<1>		 8/23/98	Neb		Initial check-in, based on now-obsolete version.r.

==========================================================================================
*/

#include <Types.r>
#include "TADS_defines.h"
#include "common.r.h"

/* Version resources. */

#define TADSLEVEL			"2.3.0"
#define PATCHLEVEL			TADS_OEM_VERSION "." OS_SYSTEM_PATCHSUBLVL
#define VERSIONCONSTANTS	0x2, 0x30, release, 0x0

resource 'vers' (1) {
	VERSIONCONSTANTS,
	verUS,
	TADSLEVEL " p" PATCHLEVEL,
	TADSLEVEL ", Mac OS patchlevel " PATCHLEVEL "\n 1990-99 Michael J. Roberts"
};

resource 'vers' (2) {
	VERSIONCONSTANTS,
	verUS,
	"",
	"Text Adventure Development System"
};


/* Preferences file name. */

resource 'STR ' (kPreferencesFileNameID, TADS_COMPONENT " prefs name") {
	"TADS " TADS_COMPONENT " Preferences"
};
